import { IList } from './list.interface';
import { ACommonList } from './list.abstract';
import { ManyOrUndefinedOrNullOr } from '../types';
export declare type IArrayList<T> = IList<T>;
export declare class List<T> extends ACommonList<List<T>, T> implements IArrayList<T> {
    constructor(items?: ManyOrUndefinedOrNullOr<T>);
    create(list?: List<T>): List<T>;
    createSimpleList<U>(): List<U>;
}
//# sourceMappingURL=list.d.ts.map