/**
 * @since 3.2.5
 */
import { StringOrNumber } from '../types';
export declare type IHasID<idType> = {
    id: idType;
};
/**
 * @since 3.2.5
 */
export declare type IHasNumberID = IHasID<number>;
/**
 * @since 3.2.5
 */
export declare type IHasStringID = IHasID<string>;
export declare type IHasStringOrNumberID = IHasID<StringOrNumber>;
//# sourceMappingURL=has-id.interface.d.ts.map